var index=0;
var count=0
var pass="ok";
$(document).ready(function(){
	if(tid!="0"){
		InitType(tid);
	}
	count=$(".table1").length;
	//$(".table1:eq(0)").show();
	$("#pre").click(function(){
		$(".table1:eq("+index+")").hide();
		index--;
		if(index==0){
			$("#pre").hide();
		};
		$(".table1:eq("+index+")").show();
	});
	$("#next").click(function(){
		//检查输入项的合法性
		if(Check(index)!=pass){
			alert(Check(index));
			return false;
		};
		$(".table1:eq("+index+")").hide();
		index++;
		if(index==3){
			$("#pre").hide();
			$("#next").hide();
		};
		$("#pre").show();
		$(".table1:eq("+index+")").show();
		//执行功能函数
		Apply(index,"");
	});
	
	$("#btnAddProp").click(function(){
		var count1 = window.prompt("请输入添加的数量","1")
		for(var i=0;i<count1;i++){
			AddProp("","","<option value='1'>筛选-不可筛选</option><option value='2'>筛选-单选</option><option value='3'>筛选-多选</option>");
		};
		return false;
	});
	$("#AddParaGroup").click(function(){
		AddParaGroup($("#para_container"),"");
		return false;
	});
});

function Check(arg){
	if(arg==0){
		if($("#txtTypeName").val()==""){
			return "类型名称不能为空!";
		};
		return pass;
	};
	if(arg==1){
		var flag=true;
		$("input[@name^=pn]").each(function(){
			if($(this).val()==""){
				flag=false;
				return false;
			};
		});
		if(flag){
			$("input[@name^=pv]").each(function(){
				if($(this).val()==""){
					flag=false;
					return false;
				};
			});
		};
		return flag ? pass : "属性名或属性值不能为空!";
	};
	if(arg==2){
		var flag=true;
		$("input[@name^=pgroup]").each(function(){
			if($(this).val()==""){
				flag=false;
				return false;
			};
		});
		if(flag){
			$("input[@name^=paraname]").each(function(){
				if($(this).val()==""){
					flag=false;
					return false;
				};
			});
		};
		return flag ? pass : "参数组名称或参数名不能为空!";
	};
};
function Apply(arg1,arg2){
	//添加类型的时候才需要默认添加一个属性输入项
	if(arg1==1&&tid=="0"){
		AddProp("","","<option value='1'>筛选-不可筛选</option><option value='2'>筛选-单选</option><option value='3'>筛选-多选</option>");
	};
	if(arg1==2){
		var arr_pn=new Array();
		var arr_pv=new Array();
		var arr_ps=new Array();
		var pcount=$("input[@name=pn]").length;
		var props="";
		if(pcount!=0){
			$("input[@name=pn]").each(function(){
				arr_pn.push($(this).val());
			});
			$("input[@name=pv]").each(function(){
				arr_pv.push($(this).val());
			});
			$("select[@name=ps]").each(function(){
				arr_ps.push($(this).val());
			});
			props+='{"props":[';
			$.each(arr_pn,function(i,n){
				props+='{"id":"'+(i+1)+'","name":"'+n+'","type":"'+arr_ps[i]+'","options":[';
				var arr_value=arr_pv[i].split(',');
				$.each(arr_value,function(j,m){
					props+='{"index":"'+(j+1)+'","value":"'+m+'"}';
					if(j!=arr_value.length-1){
						props+=',';
					};
				});
				props+=']}';
				if(i!=arr_pn.length-1){
					props+=',';
				};
			});
			props+=']}';
		};
		$("input[name='props']").remove();//添加props隐藏控件前先清除之前产生的隐藏控件(在下一步后返回上一步时这里必须要这样做,不然就重复创建props隐藏控件)
		$("<input type='hidden' value='"+props+"' name='props' />").appendTo($("#control"));
		//alert(props);
	};
	if(arg1==3){
		var paracount=$("input[@name=pgroup]").length;
		var paras="";
		if(paracount!=0){
			paras+='{"paras":[';
			$("input[@name=pgroup]").each(function(i){
				paras+='{"id":"'+(i+1)+'","group":"'+$(this).val()+'","options":[';
				var paraname=$(this).siblings(".para_item").find("input[@name=paraname]");
				paraname.each(function(j){
					paras+='{"index":"'+(j+1)+'","name":"'+$(this).val()+'"}';
					if(j!=paraname.length-1){
						paras+=',';
					};
				});
				paras+=']}'
				if(i!=paracount-1){
					paras+=',';
				};
			});
			paras+=']}';
			//alert(paras);
		};
		$("<input type='hidden' value='"+paras+"' name='paras' />").appendTo($("#control"));
		$("#btnSubmit").click();
	};
};

function AddProp(pn,pv,ps)
{
	var tempTr=null;
	tempTr=$("<div></div>").appendTo($("#prop").children(".tbody"));
	var tempControl = $("<div class='col1'></div>").appendTo(tempTr);
	$("<span class='del'>X</span>").addClass("hand").appendTo(tempControl).click(function(){
		tempTr.remove();
	});
	$("<div class='col2'><input type='text' value='"+pn+"' name='pn' class='pn' /></div><div class='col3'><select name='ps'>"+ps+"</select></div><div class='col4'><input type='text' value='"+pv+"' name='pv' class='pv' /></div>").appendTo(tempTr);
}
function AddParaGroup(obj,groupname,paravalue)
{
	var pgroup=$("<div class='para_group'>参数组名称：<input type='text' name='pgroup' value='"+groupname+"' /></div>").appendTo(obj);
	var addpara=$("<button>为该参数组增加参数</button>").appendTo(pgroup).click(function(){AddPara($(this).siblings(".para_item"),"");return false;});
	var delparagroup=$("<button>删除此参数组</button>").appendTo(pgroup).click(function(){
		pgroup.remove();
	});
	var paraitem=$("<div class='para_item'></div>").appendTo(pgroup);
	//参数值不为空时动态增加参数
	if(paravalue!=""&&tid!="0"){
		$.each(paravalue,function(i,n){
			AddPara(paraitem,n.name);
		});
	};
	//添加类型的时候才需要在增加一个参数组的时候默认增加一个参数输入项
	if(tid=="0"){
		var paradl=$("<dl><dt>参数名：</dt><dd><input type='text' name='paraname' /></dd></dl>").appendTo(paraitem);
		var delpara=$("<dd><button>删除此参数</button></dd>").appendTo(paradl).click(function(){
			paradl.remove();
		});
		$("<div class='clear'></div>").appendTo(paraitem);
	};
}
function AddPara(obj,paraname)
{
	var paradl=$("<dl><dt>参数名：</dt><dd><input type='text' name='paraname' value='"+paraname+"' /></dd></dl>").appendTo(obj);
	var delpara=$("<dd><button>删除此参数</button></dd>").appendTo(paradl).click(function(){
		paradl.remove();
	});
	$("<div class='clear'></div>").appendTo(obj.parent().children(".para_item"));
}
function InitType(arg)
{
	 $.ajax({
            url:'PdtType.aspx?NoCopyRight=1&type=ajax&action=GetTypeInfo&tid='+tid,
            async:false,
            cache:false,
            success:function(data){
                if(!checkLoginStatus(data)){return false;}//是否要重新登陆
                if(data!=""){
					var tname=data.split('^@^')[0];
					$("#txtTypeName").val(tname);
					if(data.split('^@^')[1] != ''){
					    var tprop=eval('('+data.split('^@^')[1]+')');
					    $.each(tprop.props,function(i,n){
						    var pvalue="";
						    var ptype="";
						    $.each(n.options,function(j,m){
							    pvalue+=m.value;
							    if(j!=n.options.length-1){
								    pvalue+=",";
							    };
						    });
						    if(n.type==1){
							    ptype="<option value='1' selected>筛选-不可筛选</option><option value='2'>筛选-单选</option><option value='3'>筛选-多选</option>";
						    };
						    if(n.type==2){
							    ptype="<option value='1'>筛选-不可筛选</option><option value='2' selected>筛选-单选</option><option value='3'>筛选-多选</option>";
						    };
						    if(n.type==3){
							    ptype="<option value='1'>筛选-不可筛选</option><option value='2'>筛选-单选</option><option value='3' selected>筛选-多选</option>";
						    };
						    AddProp(n.name,pvalue,ptype);
					    });
					}
					if(data.split('^@^')[2] != ''){
					    var tpara=eval('('+data.split('^@^')[2]+')');
					    $.each(tpara.paras,function(i,n){
						    AddParaGroup($("#para_container"),n.group,n.options);						
					    });
					}
					$("#ddlProp1").val(data.split('^@^')[3]);
				    $("#ddlProp2").val(data.split('^@^')[4]);
				}
            },
            error:function(){alert('erroe')}
        });
}
function checkLoginStatus(data){
    var result = true;
    if(data.indexOf('<!DOCTYPE') != -1){
        result = false;
        alert('身份已过期,请重新登陆!');
        parent.window.location="../../adminlogin.aspx";
    }
    return result;
};